
rot.bin: top.v inouts.pcf
	yosys -q -p "synth_ice40 -blif i2c_kbd_alt.blif" top.v i2c_slave.v matrix_kbd.v ram.v simple_filter.v uart.v descriptors.v
	arachne-pnr -p inouts.pcf i2c_kbd_alt.blif -o i2c_kbd_alt.txt
	icebox_explain i2c_kbd_alt.txt > i2c_kbd_alt.ex
	icepack i2c_kbd_alt.txt i2c_kbd_alt.bin

clean:
	rm -f i2c_kbd_alt.blif i2c_kbd_alt.txt i2c_kbd_alt.ex i2c_kbd_alt.bin
